Package fr.gouv.vitam.processing.management.client

# Class ProcessingManagementClientFactory

java.lang.Object
fr.gouv.vitam.common.client.VitamClientFactory<ProcessingManagementClient>
fr.gouv.vitam.processing.management.client.ProcessingManagementClientFactory

All Implemented Interfaces:
  `VitamClientFactoryInterface<ProcessingManagementClient>`

public class ProcessingManagementClientFactory extends VitamClientFactory<ProcessingManagementClient>
ProcessingManagement factory for creating ProcessingManagement client

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface fr.gouv.vitam.common.client.VitamClientFactoryInterface

  `VitamClientFactoryInterface.VitamClientType`

- ## Field Summary

  ### Fields inherited from class fr.gouv.vitam.common.client.VitamClientFactory

  `clientConfiguration`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static final void`
  `changeConfigurationUrl(String urlString)`
  For compatibility with old implementation
  `static final void`
  `changeMode(ClientConfigurationImpl configuration)`
  `ProcessingManagementClient`
  `getClient()`
  This method returns the correct Client adapted to the business case
  `static final ProcessingManagementClientFactory`
  `getInstance()`
  Get the ProcessingManagementClientFactory instance
  `static ProcessingManagementClientFactory`
  `getInstance(WorkFlowExecutionContext executionContext)`
  Get the ProcessingManagementClientFactory instance for the given workflow execution context

  ### Methods inherited from class fr.gouv.vitam.common.client.VitamClientFactory

  `changeResourcePath, changeServerPort, disableUseAuthorizationFilter, enableUseAuthorizationFilter, getClientConfiguration, getDefaultConfigCient, getDefaultConfigCient, getHttpClient, getHttpClient, getResourcePath, getServiceUrl, getVitamClientType, getVitamThreadPoolExecutor, initialisation, isAllowGzipDecoded, isAllowGzipEncoded, resetConnections, resume, setGzipdecoded, setGzipEncoded, setVitamClientType, shutdown, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### getInstance

    public static final ProcessingManagementClientFactory getInstance()
    Get the ProcessingManagementClientFactory instance
    Returns:
      the instance

  - ### getInstance

    public static ProcessingManagementClientFactory getInstance(WorkFlowExecutionContext executionContext)
    Get the ProcessingManagementClientFactory instance for the given workflow execution context
    Parameters:
      `executionContext` - the workflow execution context
    Returns:
      the instance

  - ### getClient

    public ProcessingManagementClient getClient()
    Description copied from interface: `VitamClientFactoryInterface`
    This method returns the correct Client adapted to the business case
    Returns:
      the Vitam client

  - ### changeConfigurationUrl

    public static final void changeConfigurationUrl(String urlString)
    For compatibility with old implementation
    Parameters:
      `urlString` - the url

  - ### changeMode

    public static final void changeMode(ClientConfigurationImpl configuration)
    Parameters:
      `configuration` - null for MOCK